Bug 15392 - Kickstart on laptop, unknown module 3c575_cb
Kickstart on laptop, unknown module 3c575_cb
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 10:04 EDT by Marc Schmitt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 15:06:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schmitt 2000-08-04 10:04:13 EDT
Hello

I`m preparing unattended installations for Thinkpad 600E laptops over NFS.
The PCMCIA NIC is a 3Com Megahertz, model 3CCFE575CT. I`m using
pcmcia-20000407.img.

To ensure that the NIC is properly detected, I added the following line to
ks.cfg:
device eth 3c575_cb

On the console Alt-F3, I get the following output:
...
* cardmgr returned 0x0
* probing buses
* finished bus probing
* found suggestion of i82365
* found suggestion of i82365
* found nothing
* unknown module 3c575_cb
kickstarting through device eth0

My first thought was that the module is not in the modules.cgz file, but I
was wrong. modules.cgz contains:
3c574_cs.o dummy_cs.o ide_cs.o nmclan_cs.o sram_mtd.o 3c575_cb.o   
epic_cb.o iflash2+_mtd.o parport_cs.o sunrpc.o 3c589_cs.o fat.o
iflash2_mtd.o pcmcia_core.o tcic.o 8390.o fdomain_cs.o lockd.o pcnet_cs.o
tulip_cb.o aha152x_cs.o fmvj18x_cs.o memory_cb.o qlogic_cs.o vfat.o
apa1480_cb.o ftl_cs.o memory_cs.o serial_cb.o wavelan_cs.o cb_enabler.o
i82365.o netwave_cs.o serial_cs.o xirc2ps_cs.o ds.o ibmtr_cs.o nfs.o
smc91c92_cs.o
Obioulsy, 3c575_cb.o is there.

Why does Anaconda state the module as unknown?

Regards
Marc
Comment 1 Erik Troan 2000-08-07 17:16:13 EDT
pcmcia modules are all automatically loaded as long as you use the pcmcia boot
disk -- no device
line should be used

Note You need to log in before you can comment on or make changes to this bug.